import type { Repository } from "@/service/store/repository";
import { BulletState } from "@/components/bullet/bullet-state";
export declare class StateReceipt {
    private readonly repository;
    private readonly key;
    private state;
    constructor(repository: Repository);
    get: () => Map<string, Date>;
    load(): Promise<void>;
    add(receiptId: string, date?: Date): Promise<void>;
    count(filter?: {
        startWeek: number;
        endWeek: number;
    } | undefined): number;
    reset(): Promise<void>;
    toString: () => string;
    status(week?: number): BulletState;
}
